#### TXT

#### Synopsis

    HELP:   Read a file text-oriented (mainly for open world)
    TYPE:   OBJECT
    SYNTAX: TXT(NET.{},NAME/FILE['str'/STREAM/DUMMY...],RECMOD=STOP/CUT/WRAP/SKIP,RECLEN=num,RECCNT=num,PRNOUT=num,SUPCTR,SUBSYS(),REMOVE,PREPRO[()...],POSTPRO/PSTPRO[()...])

#### Description

This object defines the text-oriented read operation for files. This method reads text records from a file with text delimiters. The data must be a text file in a certain character set where each record is terminated with the system specific delimiter. You can define the maximum record length and what to do, if a record is longer than the provided record length.

On read, you can also activate the conversion of the data into a printout-like amount of records, i.e. print control characters are replaced by records so that it looks like the data was printed.

The access method removes zero padding and trailing whitespaces from each record by default. Additional You can activate the suppression of control and space character (except tabulators or blank) in the data.

#### Arguments

- `STRING: NAME/FILE['str'/STREAM/DUMMY...] - Name/URL of file to read [STDIN]`
  - `STREAM - Read from stdin or write to stdout`
  - `DUMMY - Read EOF or write nothing`
- `NUMBER: RECMOD=STOP/CUT/WRAP/SKIP - Mode used to read records [STOP]`
  - `STOP - Stop if record too long`
  - `CUT - Cut if record too long`
  - `WRAP - Wrap if record too long`
  - `SKIP - Skip if record too long`
- `NUMBER: RECLEN=num - Record (Host) length / Line (Unix/Win) length for read operations [512]`
- `NUMBER: RECCNT=num - Amount of records handled in one read operation [128]`
- `NUMBER: PRNOUT=num - Amount of lines per page if print control replacement active [0 = inactive]`
- `SWITCH: SUPCTR - Suppress control characters [FALSE]`